<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence de la classe Parsage</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-static-methods">Fonctions membres publiques statiques</a> &#124;
<a href="class_parsage-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Parsage</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="parsage_8hpp_source.html">parsage.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a64af028b786d98300f79ef5193fabc81"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#a64af028b786d98300f79ef5193fabc81">Parsage</a> (struct <a class="el" href="structglobal__data.html">global_data</a> *g_data)</td></tr>
<tr class="memdesc:a64af028b786d98300f79ef5193fabc81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de l'objet <a class="el" href="class_parsage.html">Parsage</a>.  <a href="#a64af028b786d98300f79ef5193fabc81">Plus de détails...</a><br /></td></tr>
<tr class="separator:a64af028b786d98300f79ef5193fabc81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34ebfb0a8ec6de4f66574f030d89ce60"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#a34ebfb0a8ec6de4f66574f030d89ce60">Parsage</a> (const <a class="el" href="class_parsage.html">Parsage</a> &amp;parsage)</td></tr>
<tr class="memdesc:a34ebfb0a8ec6de4f66574f030d89ce60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur par copie de l'objet <a class="el" href="class_parsage.html">Parsage</a>.  <a href="#a34ebfb0a8ec6de4f66574f030d89ce60">Plus de détails...</a><br /></td></tr>
<tr class="separator:a34ebfb0a8ec6de4f66574f030d89ce60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2d049bf2188528ea5ae6c90d8088157"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#ae2d049bf2188528ea5ae6c90d8088157">~Parsage</a> ()</td></tr>
<tr class="memdesc:ae2d049bf2188528ea5ae6c90d8088157"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructeur de l'objet <a class="el" href="class_parsage.html">Parsage</a>.  <a href="#ae2d049bf2188528ea5ae6c90d8088157">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae2d049bf2188528ea5ae6c90d8088157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08396b2448457846f13aa0c4f32c3058"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#a08396b2448457846f13aa0c4f32c3058">InitParsage</a> ()</td></tr>
<tr class="memdesc:a08396b2448457846f13aa0c4f32c3058"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation du parseur.  <a href="#a08396b2448457846f13aa0c4f32c3058">Plus de détails...</a><br /></td></tr>
<tr class="separator:a08396b2448457846f13aa0c4f32c3058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc5649f66ddc316d5ecda0e2d8eae7f6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#acc5649f66ddc316d5ecda0e2d8eae7f6">ParseSvgTag</a> (XMLElement *tag)</td></tr>
<tr class="memdesc:acc5649f66ddc316d5ecda0e2d8eae7f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse une balise XML.  <a href="#acc5649f66ddc316d5ecda0e2d8eae7f6">Plus de détails...</a><br /></td></tr>
<tr class="separator:acc5649f66ddc316d5ecda0e2d8eae7f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a333dc1300487aeec5694380fd3ed5118"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#a333dc1300487aeec5694380fd3ed5118">SetDrivenParent</a> (string key, string value)</td></tr>
<tr class="memdesc:a333dc1300487aeec5694380fd3ed5118"><td class="mdescLeft">&#160;</td><td class="mdescRight">Modifie les valeurs des attributs des éléments parent à une balise driven.  <a href="#a333dc1300487aeec5694380fd3ed5118">Plus de détails...</a><br /></td></tr>
<tr class="separator:a333dc1300487aeec5694380fd3ed5118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad009bf076ad8da3c43bc68d5ba77ac73"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#ad009bf076ad8da3c43bc68d5ba77ac73">SetAttribute</a> (string key, XMLElement *driven, XMLElement *parent, string target)</td></tr>
<tr class="memdesc:ad009bf076ad8da3c43bc68d5ba77ac73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Modifie la valeur des attributs qui sont directement dans la balise.  <a href="#ad009bf076ad8da3c43bc68d5ba77ac73">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad009bf076ad8da3c43bc68d5ba77ac73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a118aa455b789dc895bccf27a7238484c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#a118aa455b789dc895bccf27a7238484c">SetAttributeStyle</a> (string key, XMLElement *driven, XMLElement *parent, string target)</td></tr>
<tr class="memdesc:a118aa455b789dc895bccf27a7238484c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Modifie la valeur des attributs qui sont dans l'attribut "style".  <a href="#a118aa455b789dc895bccf27a7238484c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a118aa455b789dc895bccf27a7238484c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd97431fa48a6fae25b3ed80c940c591"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#acd97431fa48a6fae25b3ed80c940c591">IsDriven</a> (XMLElement *tag)</td></tr>
<tr class="memdesc:acd97431fa48a6fae25b3ed80c940c591"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérifie si la balise est un driven.  <a href="#acd97431fa48a6fae25b3ed80c940c591">Plus de détails...</a><br /></td></tr>
<tr class="separator:acd97431fa48a6fae25b3ed80c940c591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b19556a4e9d80dd106937c1608bd989"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#a5b19556a4e9d80dd106937c1608bd989">HasAnimation</a> (XMLElement *driven)</td></tr>
<tr class="memdesc:a5b19556a4e9d80dd106937c1608bd989"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérifie si le driven comporte une animation.  <a href="#a5b19556a4e9d80dd106937c1608bd989">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5b19556a4e9d80dd106937c1608bd989"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb8e3a69da05952513821f9ed99f5748"><td class="memItemLeft" align="right" valign="top">map&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#aeb8e3a69da05952513821f9ed99f5748">Split</a> (string text)</td></tr>
<tr class="memdesc:aeb8e3a69da05952513821f9ed99f5748"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sépart le contenu de l'attribut "style".  <a href="#aeb8e3a69da05952513821f9ed99f5748">Plus de détails...</a><br /></td></tr>
<tr class="separator:aeb8e3a69da05952513821f9ed99f5748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1c6e82320a89a9ee1f83aeb19e3010d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#ac1c6e82320a89a9ee1f83aeb19e3010d">Join</a> (map&lt; string, string &gt; attributes_splited)</td></tr>
<tr class="memdesc:ac1c6e82320a89a9ee1f83aeb19e3010d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fusione les attributs et les valeurs initialement placé dans l'attribut "style".  <a href="#ac1c6e82320a89a9ee1f83aeb19e3010d">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac1c6e82320a89a9ee1f83aeb19e3010d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Fonctions membres publiques statiques</h2></td></tr>
<tr class="memitem:a67732d87cb2c63914634b224d08fc623"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parsage.html#a67732d87cb2c63914634b224d08fc623">ThreadSetDrivenParent</a> (void *user_data)</td></tr>
<tr class="memdesc:a67732d87cb2c63914634b224d08fc623"><td class="mdescLeft">&#160;</td><td class="mdescRight">Un thread pour la modification des parents des drivens.  <a href="#a67732d87cb2c63914634b224d08fc623">Plus de détails...</a><br /></td></tr>
<tr class="separator:a67732d87cb2c63914634b224d08fc623"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="parsage_8hpp_source.html#l00044">44</a> du fichier <a class="el" href="parsage_8hpp_source.html">parsage.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a64af028b786d98300f79ef5193fabc81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64af028b786d98300f79ef5193fabc81">&#9670;&nbsp;</a></span>Parsage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Parsage::Parsage </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structglobal__data.html">global_data</a> *&#160;</td>
          <td class="paramname"><em>g_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur de l'objet <a class="el" href="class_parsage.html">Parsage</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">g_data</td><td><a class="el" href="struct_structure.html">Structure</a> <a class="el" href="structglobal__data.html">global_data</a> stockant les informations nécessaires à la construction de l'objet. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a34ebfb0a8ec6de4f66574f030d89ce60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34ebfb0a8ec6de4f66574f030d89ce60">&#9670;&nbsp;</a></span>Parsage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Parsage::Parsage </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_parsage.html">Parsage</a> &amp;&#160;</td>
          <td class="paramname"><em>parsage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur par copie de l'objet <a class="el" href="class_parsage.html">Parsage</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">parsage</td><td>Objet de type <a class="el" href="class_parsage.html">Parsage</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae2d049bf2188528ea5ae6c90d8088157"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2d049bf2188528ea5ae6c90d8088157">&#9670;&nbsp;</a></span>~Parsage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Parsage::~Parsage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructeur de l'objet <a class="el" href="class_parsage.html">Parsage</a>. </p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a5b19556a4e9d80dd106937c1608bd989"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b19556a4e9d80dd106937c1608bd989">&#9670;&nbsp;</a></span>HasAnimation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Parsage::HasAnimation </td>
          <td>(</td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Vérifie si le driven comporte une animation. </p>
<p>Pour pouvoir réaliser une animation, le driven doit avoir un attribut <code>delay</code> en indiquant le temps de l'animation en millisecondes.</p>
<p>Exemple: Réalisation d'une animation de 0.3 secondes. </p><div class="fragment"><div class="line">&lt;<span class="keywordtype">driven</span> <span class="keyword">target</span>=<span class="stringliteral">&quot;r&quot;</span> <span class="keyword">by</span>=<span class="stringliteral">&quot;rayon&quot;</span> <span class="keyword">delay</span>=<span class="stringliteral">&quot;300&quot;</span>/&gt;</div></div><!-- fragment --><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">driven</td><td>Un élément XML. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true Le driven comporte une animation. </dd>
<dd>
false Le driven ne comporte pas d'animation. </dd></dl>

</div>
</div>
<a id="a08396b2448457846f13aa0c4f32c3058"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08396b2448457846f13aa0c4f32c3058">&#9670;&nbsp;</a></span>InitParsage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Parsage::InitParsage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation du parseur. </p>

</div>
</div>
<a id="acd97431fa48a6fae25b3ed80c940c591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd97431fa48a6fae25b3ed80c940c591">&#9670;&nbsp;</a></span>IsDriven()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Parsage::IsDriven </td>
          <td>(</td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>tag</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Vérifie si la balise est un driven. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>Un élément XML. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true La balise est un driven. </dd>
<dd>
false La balise n'est pas un driven. </dd></dl>

</div>
</div>
<a id="ac1c6e82320a89a9ee1f83aeb19e3010d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1c6e82320a89a9ee1f83aeb19e3010d">&#9670;&nbsp;</a></span>Join()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Parsage::Join </td>
          <td>(</td>
          <td class="paramtype">map&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>attributes_splited</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fusione les attributs et les valeurs initialement placé dans l'attribut "style". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">attributes_splited</td><td>La map des attributs et valeurs à placer dans l'attribut "style". </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>string Le nouveau contenu de l'attribut "style". </dd></dl>

</div>
</div>
<a id="acc5649f66ddc316d5ecda0e2d8eae7f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc5649f66ddc316d5ecda0e2d8eae7f6">&#9670;&nbsp;</a></span>ParseSvgTag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Parsage::ParseSvgTag </td>
          <td>(</td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>tag</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Parse une balise XML. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>Un élément XML. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad009bf076ad8da3c43bc68d5ba77ac73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad009bf076ad8da3c43bc68d5ba77ac73">&#9670;&nbsp;</a></span>SetAttribute()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Parsage::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Modifie la valeur des attributs qui sont directement dans la balise. </p>
<p>Exemple: Selont l'exemple ci dessous, l'attribut <code>key</code> correspond à la valeur <code>c_fill</code> et target à l'attribut <code>fill</code> situé dans la balise parent. </p><div class="fragment"><div class="line">&lt;<span class="keywordtype">circle</span> <span class="keyword">cx</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">cy</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">r</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">fill</span>=<span class="stringliteral">&quot;red&quot;</span>&gt;</div><div class="line">    &lt;<span class="keywordtype">driven</span> <span class="keyword">target</span>=<span class="stringliteral">&quot;fill&quot;</span> <span class="keyword">by</span>=<span class="stringliteral">&quot;c_fill&quot;</span>/&gt;</div><div class="line">&lt;/<span class="keywordtype">circle</span>&gt;</div></div><!-- fragment --><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>L'identifiant de la nouvelle valeur. </td></tr>
    <tr><td class="paramname">driven</td><td>La balise driven. </td></tr>
    <tr><td class="paramname">parent</td><td>La balise parent au driven. </td></tr>
    <tr><td class="paramname">target</td><td>L'attribut cible. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a118aa455b789dc895bccf27a7238484c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a118aa455b789dc895bccf27a7238484c">&#9670;&nbsp;</a></span>SetAttributeStyle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Parsage::SetAttributeStyle </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Modifie la valeur des attributs qui sont dans l'attribut "style". </p>
<p>Exemple: Selont l'exemple ci dessous, l'attribut <code>key</code> correspond à la valeur <code>c_fill</code> et target à l'attribut <code>fill</code> situé dans la balise parent. </p><div class="fragment"><div class="line">&lt;<span class="keywordtype">circle</span> <span class="keyword">cx</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">cy</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">r</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">style</span>=<span class="stringliteral">&quot;fill:red&quot;</span>&gt;</div><div class="line">    &lt;<span class="keywordtype">driven</span> <span class="keyword">target</span>=<span class="stringliteral">&quot;fill&quot;</span> <span class="keyword">by</span>=<span class="stringliteral">&quot;c_fill&quot;</span>/&gt;</div><div class="line">&lt;/<span class="keywordtype">circle</span>&gt;</div></div><!-- fragment --><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>L'identifiant de la nouvelle valeur. </td></tr>
    <tr><td class="paramname">driven</td><td>La balise driven. </td></tr>
    <tr><td class="paramname">parent</td><td>La balise parent au driven. </td></tr>
    <tr><td class="paramname">target</td><td>L'attribut cible. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a333dc1300487aeec5694380fd3ed5118"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a333dc1300487aeec5694380fd3ed5118">&#9670;&nbsp;</a></span>SetDrivenParent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Parsage::SetDrivenParent </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Modifie les valeurs des attributs des éléments parent à une balise driven. </p>
<p>Pour pouvoir modifier cette valeur, les méthodes <a class="el" href="class_parsage.html#ad009bf076ad8da3c43bc68d5ba77ac73" title="Modifie la valeur des attributs qui sont directement dans la balise. ">SetAttribute()</a> et <a class="el" href="class_parsage.html#a118aa455b789dc895bccf27a7238484c" title="Modifie la valeur des attributs qui sont dans l&#39;attribut &quot;style&quot;. ">SetAttributeStyle()</a> sont appelées en fonction de l'emplacement de l'attribut à modifier.</p>
<p>Exemple: Selont l'exemple ci dessous, l'attribut <code>key</code> correspond à la valeur <code>c_fill</code> et value à la nouvelle valeur qui remplacera <code>red</code>. </p><div class="fragment"><div class="line">&lt;<span class="keywordtype">circle</span> <span class="keyword">cx</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">cy</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">r</span>=<span class="stringliteral">&quot;50&quot;</span> <span class="keyword">fill</span>=<span class="stringliteral">&quot;red&quot;</span>&gt;</div><div class="line">    &lt;<span class="keywordtype">driven</span> <span class="keyword">target</span>=<span class="stringliteral">&quot;fill&quot;</span> <span class="keyword">by</span>=<span class="stringliteral">&quot;c_fill&quot;</span>/&gt;</div><div class="line">&lt;/<span class="keywordtype">circle</span>&gt;</div></div><!-- fragment --><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>L'identifiant de la nouvelle valeur. </td></tr>
    <tr><td class="paramname">value</td><td>La nouvvelle valeur. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aeb8e3a69da05952513821f9ed99f5748"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb8e3a69da05952513821f9ed99f5748">&#9670;&nbsp;</a></span>Split()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">map&lt; string, string &gt; Parsage::Split </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sépart le contenu de l'attribut "style". </p>
<p>Le contenu de l'attribut <code>style</code> est séparé dans un premier temps par le séparateur ";" et dans un second temps par le séparateur ":". Ainsi la méthode retourne une map avec pour clé les attributs et pour valeur les valeurs des attributs.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">text</td><td>Le contenu de l'attribut style. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>map&lt;string, string&gt; Une map des attributs valeurs contenu dans l'attribut style. </dd></dl>

</div>
</div>
<a id="a67732d87cb2c63914634b224d08fc623"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67732d87cb2c63914634b224d08fc623">&#9670;&nbsp;</a></span>ThreadSetDrivenParent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void * Parsage::ThreadSetDrivenParent </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>user_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Un thread pour la modification des parents des drivens. </p>
<p>Cette méthode exécute dans un thread la méthode <a class="el" href="class_parsage.html#a333dc1300487aeec5694380fd3ed5118" title="Modifie les valeurs des attributs des éléments parent à une balise driven. ">SetDrivenParent()</a>.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">user_data</td><td>Une structure <a class="el" href="structparsage__data.html">parsage_data</a> casté en <code>void*</code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>NULL </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>include/class/<a class="el" href="parsage_8hpp_source.html">parsage.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
